#include <bits/stdc++.h>
using namespace std;

int main()
{
long long x1, y1, x2, y2,brk=1;
scanf("%lld %lld %lld %lld",&x1, &y1, &x2, &y2);
if(x1 == x2)
    brk++;
if(y1 == y2)
    brk++;
printf("%lld",brk);
// ???? ?? ????????



    return 0;
}